-- UPGRADES ДЛЯ БЕСКОНЕЧНОГО УРОВНЯ
-- ИЗМЕНЕНИЯ ПРИВЯЗАННЫЕ КО ВРЕМЕНИ
-- как работает: через deltaTime сек. заданные в уровне вызывается если есть endless_time_Х где Х это число вызовов
-- т.е endless_time_3 вызовется через 3 * deltaTime сек., если нету endless_time_3 то вызывается endless_time_def
--[[
    endless_time_def = {
        --target = { cow=CowTimeUpgrade, goat=GoatTimeUpgrade, hen=HenTimeUpgrade },
        target = { 
            cow="SetDeltaImpatience(10);SetDeltaPause(0);";
            goat="SetDeltaImpatience(10);SetDeltaPause(0);";
            hen="SetDeltaImpatience(10);SetDeltaPause(0);";
        };
        params = "";
    };
--]]    
-- ИЗМЕНЕНИЯ ПРИВЯЗАННЫЕ К ОЧКАМ    
-- вызываются по очереди endless_score_1 потом endless_score_2,... если не находит очередного upgrade больше
-- ничего не вызывает, если сейчас очередь endless_score_1, то уровень проверяет набранные очки и если они
-- больше или равны endless_score_1.score то выполняет этот апгрейд и переходит к проверке и ожиданию следующего 
-- если надо показать туториал то в CPP_GameMessage апгрейда вставить нужное имя 
-- например: CPP_GameMessage(10,'имя_в_туториале',0);


--wolf="GameObject.Triggers.Evil.timer={ 300,350 };"
--crow1="GameObject.Triggers.Evil.timer={ 30,35,40 };"
EndlessUpgrades = {
    { -- курица
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            henhouse1="CPP_AdjournUnblock('hen');";
        };
        params = "";
        score = 600;
    };
    { -- корова
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            cowshed="CPP_AdjournUnblock('cow');";
        };
        params = "";
        score = 1000;
    };

    { -- мать
        target = { 
            cow="SetDeltaImpatience(10);SetDeltaPause(0);";
            goat="SetDeltaImpatience(10);SetDeltaPause(0);";
            hen="SetDeltaImpatience(10);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('mother');";
        };
        params = "";
        score = 2000;
    };

    { -- курица
        target = { 
            cow="SetDeltaImpatience(5);SetDeltaPause(0);";
            goat="SetDeltaImpatience(5);SetDeltaPause(0);";
            hen="SetDeltaImpatience(5);SetDeltaPause(0);";
            henhouse1="CPP_AdjournUnblock('hen');";
        };
        params = "";
        score = 4000;
    };

    { -- коза
        target = { 
            cow="SetDeltaImpatience(5);SetDeltaPause(0);";
            goat="SetDeltaImpatience(5);SetDeltaPause(0);";
            hen="SetDeltaImpatience(5);SetDeltaPause(0);";
            goathouse="CPP_AdjournUnblock('goat');";
        };
        params = "";
        score = 7000;
    };
    { -- машина + включить ее влияние
        target = { 
            cow="SetDeltaImpatience(15);SetDeltaPause(0);";
            goat="SetDeltaImpatience(15);SetDeltaPause(0);";
            hen="SetDeltaImpatience(15);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('car1');GameObject.BonusMoney.Car.active=1;";
        };
        params = "";
        score = 10000;
    };
    { -- лимонад
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('lemonad');";
            --lemonad="GameObject.Params.glass_count=2; CPP_GameMessage(10,'endless_score_7',0);"; --появится лимонадная машинка
        };
        params = "";
        score = 15000;
    };
    { -- грядка
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('ground');";
        };
        params = "";
        score = 20000;
    };
    { -- корова
        target = { 
            cow="SetDeltaImpatience(10);SetDeltaPause(0);";
            goat="SetDeltaImpatience(10);SetDeltaPause(0);";
            hen="SetDeltaImpatience(10);SetDeltaPause(0);";
            cowshed="CPP_AdjournUnblock('cow');";
        };
        params = "";
        score = 25000;
    };
    { -- вторая машинка еды
        target = { 
            cow="SetDeltaImpatience(10);SetDeltaPause(0);";
            goat="SetDeltaImpatience(10);SetDeltaPause(0);";
            hen="SetDeltaImpatience(10);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('eatmachine'); ";
        };
        params = "";
        score = 29000;
    };
    { -- еще грядка
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            level="CPP_AdjournUnblock('ground');";
        };
        params = "";
        score = 32000;
    };
    { -- увеличение скорости 
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            --dad="GameObject.Params.speed=1500;";
            --mother="GameObject.Params.speed=1500;";
            --level="CPP_GameMessage(10,'REAL_TUTORIAL_NAME_HERE',0);";   --для показа туториала
        };
        params = "";
        score = 35000;
    };
    { -- становятся терпеливее
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            --level="CPP_GameMessage(10,'REAL_TUTORIAL_NAME_HERE',0);";   --для показа туториала
        };
        params = "";
        score = 38000;
    };
    { --коза
        target = { 
            cow="SetDeltaImpatience(0);SetDeltaPause(0);";
            goat="SetDeltaImpatience(0);SetDeltaPause(0);";
            hen="SetDeltaImpatience(0);SetDeltaPause(0);";
            goathouse="CPP_AdjournUnblock('goat');";
        };
        params = "";
        score = 40000;
    };
    { -- лимонад действует 30 сек
        target = { 
            cow="SetDeltaImpatience(5);SetDeltaPause(0);";
            goat="SetDeltaImpatience(5);SetDeltaPause(0);";
            hen="SetDeltaImpatience(5);SetDeltaPause(0);";
            dad="GameObject.Params.lemonad_time = 30";
            mother="GameObject.Params.lemonad_time = 30";
            --level="CPP_GameMessage(10,'REAL_TUTORIAL_NAME_HERE',0);";   --для показа туториала
        };
        params = "";
        score = 50000;
    };
    { -- увеличить время сна
        target = { 
            cow="SetDeltaInLifeCycle('milking',5);";
            goat="SetDeltaInLifeCycle('milking',5);";
            hen="SetDeltaInLifeCycle('egging',5);";
            sheep="SetDeltaInLifeCycle('shearing',5);";
            level="SetDeltaInLifeCycle('cow','milking',5);SetDeltaInLifeCycle('goat','milking',20);SetDeltaInLifeCycle('hen','egging',20);SetDeltaInLifeCycle('sheep','shearing',20);";
        };
        params = "";
        score = 57000;
    };


    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 100000;
    };


    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 150000;
    };


    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 300000;
    };


    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 400000;
    };

    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 600000;
    };

    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 800000;
    };

    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 1000000;
    };

    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 3000000;
    };
    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 5000000;
    };
    { -- увеличить время сна
        target = { 
            cow="SetDeltaImpatience(20);SetDeltaPause(0);";
            goat="SetDeltaImpatience(20);SetDeltaPause(0);";
            hen="SetDeltaImpatience(20);SetDeltaPause(0);";
        };
        params = "";
        score = 9999999;
    };
};
